Home | Gallery | Forum | Services | Webmail | Archive | Links | Contact Us | About Us
OS2 World.Com Forum
OS2 World.Com Online Discussion Forum.
Index / OS/2 - General / Applications
author message
Terms meaing
Post a new topic Reply to this Topic Printable Version of this Topic Forward this Topic to your Friend Topic Commands (for administrator or moderators only)
Sam
Premium member
in user

View this member's profileSearch all posts from this memberSend an email to this member
posts: 70
since: 05 Feb, 2004
1. Terms meaing
Reply to this topic with quote Modify your message
When I came aross the readme for Lynx. It mentioned that can be run on OS/2 EMX.

Would someone please tell me what is OS/2 EMX ? Does it refer to a particular version of OS/2 or specific section in different versions of OS/2 ?

Thanks in advance.

Date: 05 Dec, 2004 on 03:45
BigWarpGuy
Premium member
in staff

View this member's profileSearch all posts from this memberSend an email to this memberhttp://home.comcast.net/~tomleem
posts: 2298
since: 12 Jan, 2001
2. Re:Terms meaning
Reply to this topic with quote Modify your message
http://os2ports.com/docs/porting/porting.html

http://www.unixos2.org/pages/Documentation/EMXPorting/

It appears to be software that enables Unix to be run in or ported to OS/2(?).

http://hobbes.nmsu.edu/cgi-bin/h-browse?sh=1&dir=/pub/os2/dev/emx/v0.9d

http://www.nl.freepascal.org/lists/fpc-devel/2002-September/002491.html

http://posix2.sourceforge.net/guide.html

There were alot more sites on it. I found some using http://www.google.com and the words 'os/2 emx'.

---
BigWarpGuy
- - - - - - - - - - - - - - - - - -
OS/2 Warp-ed/eComStation-ed to the very end.
- - - - - - - - - - - - - - - - -

Date: 05 Dec, 2004 on 04:41
boldos
Normal member
in user

View this member's profileSearch all posts from this memberSend an email to this memberhttp://www.volny.cz/boldos
posts: 21
since: 03 Jul, 2003
3. Re:Terms meaing
Reply to this topic with quote Modify your message
Instead of Lynx I personally would recommend Links...
http://artax.karlin.mff.cuni.cz/~mikulas/links/download/binaries/
Date: 05 Dec, 2004 on 15:37
cyberspittle
Premium member
in user

View this member's profileSearch all posts from this memberSend an email to this member
posts: 252
since: 09 Dec, 2002
4. Re:Terms meaing
Reply to this topic with quote Modify your message
last updated at 05 Dec, 2004 20:29 (1 times)

Sam (05 Dec, 2004 03:45):
When I came aross the readme for Lynx. It mentioned that can be run on OS/2 EMX.

Would someone please tell me what is OS/2 EMX ? Does it refer to a particular version of OS/2 or specific section in different versions of OS/2 ?

Thanks in advance.


I would say that is poor documentation you are reading. What it means, is that you need to run OS/2 (or eCS) as the operating system and have the EMX runtime installed. Lynx is a text-based web browser. I believe it was originally designed for MS-DOS (and Unix systems not running X-Windows). It worked fine, until the web became increasingly more graphical. If you use Lynx, you will scroll through a lot of text "[image],[image],[image]", where text replaces images.

The EMX runtime can be downloaded from Hobbes OS/2 repository at New Mexico State University (http://hobbes.nmsu.edu). eCS includes EMX runtime.

Date: 05 Dec, 2004 on 20:28
Radek
Premium member
in user

View this member's profileSearch all posts from this memberSend an email to this member
posts: 121
since: 17 Jul, 2003
5. Re:Terms meaing
Reply to this topic with quote Modify your message
The notification about EMX means, that the app was compiled by means of the (freeware) GNU compiler and that you will need to have the emxrt.dll somewhere on your libpath. At least, emxrt.dll, there are more dll's used by the compiler and they can be required by the app.

Therefore, make sure that you have the dll on your libpath and try running the app. If it complains that it cannot find its dlls or if it crashes then place other EMX dlls on the path and try again.

These dlls are a curse of the GNU. Some GNU apps run with emxrt ver. 0.7, other need ver. 0.9 and do not run with 0.7, some need 0.9d and so on. You should start with the latest version of emxrt, which is, IIRC, 0.9d.
If you are running eCS, then you should already have emxrt.dll ver. 0.9d on your libpath. It is installed by the operating system.

Date: 06 Dec, 2004 on 12:16
Sam
Premium member
in user

View this member's profileSearch all posts from this memberSend an email to this member
posts: 70
since: 05 Feb, 2004
6. Re:Terms meaing
Reply to this topic with quote Modify your message
BigWarpGuy, Boldos, Cyberspittle, Radek,


Thank you very much for the information

Date: 07 Dec, 2004 on 17:33
Terms meaing
Post a new topic Reply to this Topic Printable Version of this Topic Forward this Topic to your Friend Topic Commands (for administrator or moderators only)
All times are CET+1. < Prev. | P. 1 | Next >
Go to:
 

Powered by UltraBoard 2000 Standard Edition,
Copyright © UltraScripts.com, Inc. 1999-2000.
Home | Gallery | Forums | Services | Webmail | Archive | Links | Contact Us | About Us
OS2 World.Com 2000-2004